DEVS-Fire API

getWindDegree

Returns the current wind direction in degrees (south=0, clockwise).

POST
/getWindDegree

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/getWindDegree/"params: dict[str, str] = {    "userToken": "abc123xyz",}response = requests.post(base_url, params=params)print(response.text)
"0.0"
{
  "timestamp": "2026-05-20T16:41:16.112+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/getWindDegree"
}

Response Body

text/plain

application/json